| ICM45686 eMD driver Documentation of the eMD Driver API

- Main Page
- Related Pages
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
inv_imu_adv_fifo_config_t Struct Reference
Driver Advanced

FIFO configuration structure. More...

`#include <inv_imu_driver_advanced.h>`

Collaboration diagram for inv_imu_adv_fifo_config_t:
[legend]

## Public Attributes
inv_imu_fifo_config_t | base_conf
| Basic FIFO configuration. More...
fifo_config2_fifo_wr_wm_gt_th_t | fifo_wr_wm_gt_th
| Condition to trig watermark interrupt. More...
uint8_t | tmst_fsync_en
| Enable Timestamp or FSYNC delay in FIFO. More...
uint8_t | es1_en
| Enable External Sensor 1 to be pushed in FIFO. More...
uint8_t | es0_en
| Enable External Sensor 0 to be pushed in FIFO. More...
fifo_config4_fifo_es0_6b_9b_t | es0_6b_9b
| Size of the External Sensor 0 data (6 bytes or 9 bytes) More...
uint8_t | comp_en
| Enable FIFO compression. More...
fifo_config4_fifo_comp_nc_flow_cfg_t | comp_nc_flow_cfg
| Rate at which an uncompressed frame is generated. More...
odr_decimate_config_gyro_fifo_odr_dec_t | gyro_dec
| Decimation rate for gyro. More...
odr_decimate_config_accel_fifo_odr_dec_t | accel_dec
| Decimation rate for accel. More...

## Detailed Description

FIFO configuration structure.

## Member Data Documentation

## ◆ accel_dec

odr_decimate_config_accel_fifo_odr_dec_t inv_imu_adv_fifo_config_t::accel_dec

Decimation rate for accel.

## ◆ base_conf

inv_imu_fifo_config_t inv_imu_adv_fifo_config_t::base_conf

Basic FIFO configuration.

## ◆ comp_en

uint8_t inv_imu_adv_fifo_config_t::comp_en

Enable FIFO compression.

## ◆ comp_nc_flow_cfg

fifo_config4_fifo_comp_nc_flow_cfg_t inv_imu_adv_fifo_config_t::comp_nc_flow_cfg

Rate at which an uncompressed frame is generated.

## ◆ es0_6b_9b

fifo_config4_fifo_es0_6b_9b_t inv_imu_adv_fifo_config_t::es0_6b_9b

Size of the External Sensor 0 data (6 bytes or 9 bytes)

## ◆ es0_en

uint8_t inv_imu_adv_fifo_config_t::es0_en

Enable External Sensor 0 to be pushed in FIFO.

## ◆ es1_en

uint8_t inv_imu_adv_fifo_config_t::es1_en

Enable External Sensor 1 to be pushed in FIFO.

## ◆ fifo_wr_wm_gt_th

fifo_config2_fifo_wr_wm_gt_th_t inv_imu_adv_fifo_config_t::fifo_wr_wm_gt_th

Condition to trig watermark interrupt.

## ◆ gyro_dec

odr_decimate_config_gyro_fifo_odr_dec_t inv_imu_adv_fifo_config_t::gyro_dec

Decimation rate for gyro.

## ◆ tmst_fsync_en

uint8_t inv_imu_adv_fifo_config_t::tmst_fsync_en

Enable Timestamp or FSYNC delay in FIFO.

The documentation for this struct was generated from the following file:

- inv_imu_driver_advanced.h